<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Charles.rydholm</id>
		<title>Hostway API Documentation - User contributions [en]</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Charles.rydholm"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Special:Contributions/Charles.rydholm"/>
		<updated>2026-05-04T18:52:26Z</updated>
		<subtitle>User contributions</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-invoices-invoiceId-transactions:GET</id>
		<title>Accounts-accountId-invoices-invoiceId-transactions:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-invoices-invoiceId-transactions:GET"/>
				<updated>2015-03-23T14:14:35Z</updated>
		
		<summary type="html">&lt;p&gt;Charles.rydholm: /* URI Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{accountId}/invoices/{invoiceId}/transactions =&lt;br /&gt;
Retrieves a list of transactions for a specific account and and invoice&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountId}/invoices/{invoiceId}/transactions&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The user account owning the invoice&lt;br /&gt;
; invoiceId - ''string''&lt;br /&gt;
: The specific invoice for which the call will retrieve the list&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
&lt;br /&gt;
; filterFrom - ''date''&lt;br /&gt;
: Only transactions having startDate after the value of the parameter will be returned&lt;br /&gt;
&lt;br /&gt;
; filterTo - ''date''&lt;br /&gt;
: Only transactions having startDate before the value of the parameter will be returned&lt;br /&gt;
&lt;br /&gt;
; filterType - ''string''&lt;br /&gt;
: Only transactions having type matching the value of the parameter will be returned. Possible values are: 'charge', 'credit', 'discount'&lt;br /&gt;
&lt;br /&gt;
; page - ''integer''&lt;br /&gt;
: Specifies which page should be displayed. Requires a pageSize parameter to also be provided&lt;br /&gt;
&lt;br /&gt;
; pageSize - ''integer''&lt;br /&gt;
: Specifies the number of entries to be displayed on a page. Requires a page parameter to also be provided&lt;br /&gt;
&lt;br /&gt;
; sortField - ''string''&lt;br /&gt;
: Specifies if the resulting list is to be sorted by a given field. Allowed values are '''amount''', '''from''', '''to'''&lt;br /&gt;
&lt;br /&gt;
; sortOrder - ''string''&lt;br /&gt;
: The order in which the sorting is to be done. Allowed values are '''asc''' and '''desc'''&lt;br /&gt;
&lt;br /&gt;
; allowRollup - ''boolean''&lt;br /&gt;
: Allows roll up of any charge or credit transactions in an invoice if the product associated with the transaction supports roll up.  Default is not to allow roll up.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The account or invoice does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;startDate&amp;quot;: &amp;quot;{startDate}&amp;quot;, &lt;br /&gt;
            &amp;quot;endDate&amp;quot;: {endDate}, &lt;br /&gt;
            &amp;quot;currency&amp;quot;: {currency}, &lt;br /&gt;
            &amp;quot;amount&amp;quot;: &amp;quot;{amount}&amp;quot;,&lt;br /&gt;
            &amp;quot;description&amp;quot;: &amp;quot;{description}&amp;quot;,&lt;br /&gt;
            &amp;quot;date&amp;quot;: &amp;quot;{date}&amp;quot;,&lt;br /&gt;
            &amp;quot;productSpecification&amp;quot;: &amp;quot;{productSpecification}&amp;quot;,&lt;br /&gt;
            &amp;quot;serviceNumber&amp;quot;: &amp;quot;{serviceNumber}&amp;quot;,&lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;{type}&amp;quot;,&lt;br /&gt;
            &amp;quot;number&amp;quot;: &amp;quot;{number}&amp;quot;,&lt;br /&gt;
            &amp;quot;isRolledUp&amp;quot;: &amp;quot;{isRolledUp}&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{href}&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;{rel}&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; startDate - ''string''&lt;br /&gt;
: Start date of transaction&lt;br /&gt;
&lt;br /&gt;
; endDate - ''string''&lt;br /&gt;
: End date of transaction&lt;br /&gt;
&lt;br /&gt;
; currency - ''string''&lt;br /&gt;
: Currency of transaction&lt;br /&gt;
&lt;br /&gt;
; amount - ''string''&lt;br /&gt;
: Amount of transaction&lt;br /&gt;
&lt;br /&gt;
; description - ''string''&lt;br /&gt;
: Description of transaction&lt;br /&gt;
&lt;br /&gt;
; date - ''string''&lt;br /&gt;
: Date of transaction&lt;br /&gt;
&lt;br /&gt;
; productSpecification - ''string''&lt;br /&gt;
: Product specification of transaction&lt;br /&gt;
&lt;br /&gt;
; serviceNumber - ''string''&lt;br /&gt;
: Service number of transaction&lt;br /&gt;
&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: Type of transaction. Possible values are: 'charge', 'credit', 'discount'&lt;br /&gt;
&lt;br /&gt;
; number - ''string''&lt;br /&gt;
: Number of transaction&lt;br /&gt;
&lt;br /&gt;
; isRolledUp - ''integer''&lt;br /&gt;
: Indicates if transaction is the aggregate of several rolled up transactions for the invoice.  Possible values 1 if rolled up, 0 if not&lt;br /&gt;
&lt;br /&gt;
; href - ''string''&lt;br /&gt;
: Link to other resources relevant to the mailboxes lists&lt;br /&gt;
&lt;br /&gt;
; rel - ''string''&lt;br /&gt;
: Type of relation to the resource for the provided link&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Success scenario ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test-account/invoices/111111/transactions/&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;list&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
            &amp;quot;startDate&amp;quot;: &amp;quot;2011-06-19&amp;quot;, &lt;br /&gt;
            &amp;quot;amount&amp;quot;: 34.65, &lt;br /&gt;
            &amp;quot;endDate&amp;quot;: &amp;quot;2011-07-18&amp;quot;,&lt;br /&gt;
            &amp;quot;description&amp;quot;: &amp;quot;Usage Fee test@test.com Rate Type = Exchange mailbox usage, Usage amount = 7&amp;quot;, &lt;br /&gt;
            &amp;quot;currency&amp;quot;: &amp;quot;USD&amp;quot;, &amp;quot;date&amp;quot;: &amp;quot;2011-11-10&amp;quot;, &lt;br /&gt;
            &amp;quot;productSpecification&amp;quot;: &amp;quot;{{APIBaseURL}}/productSpecifications/test-acount-000001311f19185dc1df5d10000a000a000800&amp;quot;, &lt;br /&gt;
            &amp;quot;serviceNumber&amp;quot;: &amp;quot;test-account-0000013128ec0f17330329ef000a000a000800&amp;quot;, &lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;charge&amp;quot;, &lt;br /&gt;
            &amp;quot;number&amp;quot;: 101378490,&lt;br /&gt;
            &amp;quot;isRolledUp&amp;quot;: 0&lt;br /&gt;
      }, &lt;br /&gt;
      ...&lt;br /&gt;
   ],&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account/invoices/111111/transactions?page=1&amp;amp;pageSize=100&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}, &lt;br /&gt;
      {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account/invoices/111111/transactions?page=2&amp;amp;pageSize=100&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;}, &lt;br /&gt;
      {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account/invoices/111111/transactions?page=5&amp;amp;pageSize=100&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;}&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Charles.rydholm</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-paymentInfo:GET</id>
		<title>Orders-orderId-account-paymentInfo:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-paymentInfo:GET"/>
				<updated>2013-09-20T21:48:04Z</updated>
		
		<summary type="html">&lt;p&gt;Charles.rydholm: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /orders/''{orderId}''/account/paymentInfo =&lt;br /&gt;
Get the payment method information for a given order. Only a minimum amount of information will be returned to recognize the payment method.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /orders/''{orderId}''/account/paymentInfo&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: The operation was successfully completed.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: An account or payment method has not been added to the given order or the order does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
The following is the response body for credit cards.&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;paymentInfoType&amp;quot;: &amp;quot;credit_card&amp;quot;,&lt;br /&gt;
  &amp;quot;accountNumber&amp;quot;: &amp;quot;************1111&amp;quot;,&lt;br /&gt;
  &amp;quot;creditCardType&amp;quot;: &amp;quot;visa&amp;quot;,&lt;br /&gt;
  &amp;quot;expirationDate&amp;quot;: &amp;quot;2012-08&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{order_id}/account/paymentInfo/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
The following is the response for Verizon payment information.&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;paymentInfoType&amp;quot;: &amp;quot;vz_payment&amp;quot;,&lt;br /&gt;
  &amp;quot;paymentReference&amp;quot;: &amp;quot;123432429034&amp;quot;,&lt;br /&gt;
  &amp;quot;sessionId&amp;quot;: &amp;quot;23432434244&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{order_id}/account/paymentInfo/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; paymentInfoType - ''string''&lt;br /&gt;
: The type of payment method. Possible value(s) are:&lt;br /&gt;
:: '''credit_card'''&lt;br /&gt;
:: '''vz_payment'''&lt;br /&gt;
&lt;br /&gt;
; accountNumber - ''string''&lt;br /&gt;
: The credit card number.  Only the last four digits will be revealed. Only applies for credit cards.&lt;br /&gt;
&lt;br /&gt;
; creditCardType - ''string''&lt;br /&gt;
: The type of credit card such as visa, mastercard, discover, etc. Only applies for credit cards.&lt;br /&gt;
&lt;br /&gt;
; expirationDate - ''string''&lt;br /&gt;
: The credit card expiration date in YYYY-MM format. Only applies for credit cards.&lt;br /&gt;
&lt;br /&gt;
; paymentReference - ''string''&lt;br /&gt;
: Verizon payment reference id.  Only applies for Verizon payment type.&lt;br /&gt;
&lt;br /&gt;
; sessionId - ''string''&lt;br /&gt;
: Verizon payment session id.  Only applies for Verizon payment type.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Charles.rydholm</name></author>	</entry>

	</feed>